// Quartus II Verilog Template
// Single Port ROM

module rom1
#(parameter DATA_WIDTH=8, parameter ADDR_WIDTH=4)
(
	input [(ADDR_WIDTH-1):0] addr,
	input clk, reset, 
	output reg [(DATA_WIDTH-1):0] q
);

	// Declare the ROM variable
	reg [DATA_WIDTH-1:0] rom[2**ADDR_WIDTH-1:0];

	// Initialize the ROM with $readmemb.  Put the memory contents
	// in the file single_port_rom_init.txt.  Without this file,
	// this design will not compile.
	// See Verilog LRM 1364-2001 Section 17.2.8 for details on the
	// format of this file.

	//initial
	//begin
	//	$readmemb("single_port_rom_init.txt", rom);
	//end

	always @ (posedge clk, negedge reset)
	begin
		if (!reset)
			begin
			rom[0] <= 8'haa;
			rom[1] <= 8'hab;
			end
		q <= rom[addr];
	end

endmodule
